## org.opengis.feature.display.canvas
Interface FeatureLayerListener

All Superinterfaces:
  EventListener

    public interface FeatureLayerListener

extends EventListener

Methods on this interface are invoked when a `FeatureLayer` has been modified.

Since:
  GeoAPI 2.0

Method Summary
`void` `levelChanged(FeatureLayerEvent event)` Invoked when the Z-order value has changed.
`void` `styleChanged(FeatureLayerEvent event)` Invoked when the style has changed.

Method Detail

### styleChanged

    void styleChanged(FeatureLayerEvent event)

  Invoked when the style has changed.

### levelChanged

    void levelChanged(FeatureLayerEvent event)

  Invoked when the Z-order value has changed.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.